Bug 270647 - missing error tooltip on module-info.java when jdk9 but source level 1.8
missing error tooltip on module-info.java when jdk9 but source level 1.8
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
8.1
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-15 12:05 UTC by Tomas Stupka
Modified: 2017-05-18 01:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2017-05-15 12:05:23 UTC
Product Version = NetBeans IDE Dev (Build 20170511-8c9abee530fb)
Operating System = Mac OS X version 10.11.2 running on x86_64
Java; VM; Vendor = 1.8.0_102
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.102-b07

Reproducibility: Happens every time

- have a simple java project (maven/j2se)
- jdk9 and module-info.java
- but source level is set to 1.8 (incorrectly)

module-info in projects view is annotated with an error badge, but there is no mention regarding the wrong source level in the error tooltip 
on the other hand - action items lists the proper error description - "modules are not supported in -source 1.8 ... "
Comment 1 Dusan Balek 2017-05-16 07:52:42 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/af1b72e3d967
Comment 2 Quality Engineering 2017-05-18 01:53:12 UTC
Integrated into 'main-silver', will be available in build *201705180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/af1b72e3d967
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #270647 - missing error tooltip on module-info.java when jdk9 but source level 1.8 - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo